Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Interface Role

All Superinterfaces:
  java.security.Principal

All Known Implementing Classes:
  AbstractRole

public interface Role
extends java.security.Principal

Abstract representation of a security role, suitable for use in environments like JAAS that want to deal with `Principals`.

Since:
  4.1
Version:
  $Revision: 1.2 $ $Date: 2002/02/03 00:56:57 $
Author:
  Craig R. McClanahan

Method Summary
`java.lang.String` | `getDescription()` Return the description of this role.
`java.lang.String` | `getRolename()` Return the role name of this role, which must be unique within the scope of a `UserDatabase`.
`UserDatabase` | `getUserDatabase()` Return the `UserDatabase` within which this Role is defined.
`void` | `setDescription(java.lang.String description)` Set the description of this role.
`void` | `setRolename(java.lang.String rolename)` Set the role name of this role, which must be unique within the scope of a `UserDatabase`.

Methods inherited from interface java.security.Principal
`equals, getName, hashCode, toString`

Method Detail

### getDescription

    public java.lang.String getDescription()

  Return the description of this role.

### setDescription

    public void setDescription(java.lang.String description)

  Set the description of this role.

  Parameters:
    `description` - The new description

### getRolename

    public java.lang.String getRolename()

  Return the role name of this role, which must be unique within the scope of a `UserDatabase`.

### setRolename

    public void setRolename(java.lang.String rolename)

  Set the role name of this role, which must be unique within the scope of a `UserDatabase`.

  Parameters:
    `rolename` - The new role name

### getUserDatabase

    public UserDatabase getUserDatabase()

  Return the `UserDatabase` within which this Role is defined.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.